Package com.pixelmed.network

## Class ReceivedFilePathStrategy

- java.lang.Object
- - com.pixelmed.dicom.StoredFilePathStrategy
  - - com.pixelmed.network.ReceivedFilePathStrategy

-     public final class ReceivedFilePathStrategy
      extends StoredFilePathStrategy

  Deprecated.

  Provided for legacy support only; use `StoredFilePathStrategy` instead.

  This class defines an enumeration to describe alternative strategies for how to organize the folders and files for received images.

- - ### Field Summary

    - ### Fields inherited from class com.pixelmed.dicom.StoredFilePathStrategy

      `BYSOPINSTANCEUIDCOMPONENTFOLDERS, BYSOPINSTANCEUIDHASHSUBFOLDERS, BYSOPINSTANCEUIDINSINGLEFOLDER, debugLevel, defaultAlternativeSubfolder`

  - ### Method Summary

    - ### Methods inherited from class com.pixelmed.dicom.StoredFilePathStrategy

      `getDefaultStrategy, makeAlternativeStoredFilePath, makeReliableStoredFilePathWithFoldersCreated, makeReliableStoredFilePathWithFoldersCreated, makeStoredFilePath, makeStoredFilePath, setDebugLevel, test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`